# autowirePod abstract method

Future<void> autowirePod(

1. Object existingPod,
2. Class type, {
3. int? autowireMode,
4. bool? checkDependency,

})

Performs autowiring on an existing pod instance.

This method injects dependencies into an already created pod instance. It's useful for cases where you need to manually control instance creation but still want dependency injection benefits.

## Usage Example:

    final controller = MyController(); // Created manually
    await factory.autowirePod(controller, Class<MyController>());
    // Now controller has all dependencies injected

@param existingPod The pod instance to autowire @param type The class type of the pod @param autowireMode The autowiring mode to use @param checkDependency Whether to check dependency validity @return A Future that completes when autowiring is done

## Implementation

    Future<void> autowirePod(Object existingPod, Class type, {int? autowireMode, bool? checkDependency});